<!-- eslint-disable vue/no-multiple-template-root -->
<template>
  <div class="flex flex-wrap gap-4 m-4 justify-center items-center mt-24 overflow-y-auto">
    <HindranceCard
      v-for="(hindrance, index) in hindrances"
      :key="index"
      :hindrance="hindrance"
    />
  </div>
</template>

<script>
import Hindrance from '~/classes/Hindrance'
import { getAxiosHeaders } from '~/utils/utils'
import HindranceCard from '~/components/cards/HindranceCard.vue'
export default {
  name: 'HindranceView',
  components: {
    HindranceCard,
  },
  data() {
    return {
      hindrances: null,
    }
  },
  mounted() {
    try {
      this.$axios
        .$get('getAllHindrances', getAxiosHeaders(this.$auth))
        .then((response) => {
          if (response.status.is_error) {
            return this.$toast.error(
              'Ocorreu um erro ao carregar impedimentos, contate um administrador.',
              {
                closeOnSwipe: true,
                duration: 3000,
              }
            )
          }
          this.hindrances = response.data.hindrances.map(
            (hindrance) => new Hindrance(hindrance)
          )
        })
    } catch (error) {
      // eslint-disable-next-line no-console
      console.warn(error)
      this.$toast.error('Ocorreu um erro inesperado...', {
        closeOnSwipe: true,
        duration: 2000,
      })
    }
  },
}
</script>
